com.jogamp.newt.event

## Class MonitorEvent

- java.lang.Object
- - java.util.EventObject
  - - com.jogamp.newt.event.NEWTEvent
    - - com.jogamp.newt.event.OutputEvent
      - - com.jogamp.newt.event.MonitorEvent

- All Implemented Interfaces:
    Serializable

      public class MonitorEvent
      extends OutputEvent

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `EVENT_MONITOR_MODE_CHANGE_NOTIFY`
    `static short` | `EVENT_MONITOR_MODE_CHANGED`

    - ### Fields inherited from class com.jogamp.newt.event.NEWTEvent

      `consumedTag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MonitorEvent(short eventType, MonitorDevice source, long when, MonitorMode mode)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getEventTypeString(short type)`
    `MonitorMode` | `getMode()`
    `MonitorDevice` | `getMonitor()` Returns the `source`, which is a `MonitorDevice`.
    `String` | `toString()`
    `StringBuilder` | `toString(StringBuilder sb)`

    - ### Methods inherited from class com.jogamp.newt.event.NEWTEvent

      `getAttachment, getEventType, getWhen, isConsumed, setAttachment, setConsumed, toHexString`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EVENT_MONITOR_MODE_CHANGE_NOTIFY

          public static final short EVENT_MONITOR_MODE_CHANGE_NOTIFY

      See Also:
        Constant Field Values

    - #### EVENT_MONITOR_MODE_CHANGED

          public static final short EVENT_MONITOR_MODE_CHANGED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MonitorEvent

          public MonitorEvent(short eventType,
                      MonitorDevice source,
                      long when,
                      MonitorMode mode)

  - ### Method Detail

    - #### getMonitor

          public final MonitorDevice getMonitor()

      Returns the `source`, which is a `MonitorDevice`.

    - #### getMode

          public final MonitorMode getMode()

    - #### getEventTypeString

          public static String getEventTypeString(short type)

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `NEWTEvent`

    - #### toString

          public final StringBuilder toString(StringBuilder sb)

      Overrides:
        `toString` in class `NEWTEvent`

Copyright 2010 JogAmp Community.